<?php
$usu_id1=$_SESSION['usu_id']; 
$bod_id1=$_SESSION['bod_id'];
$sucursal1=$_SESSION['sucursal']; 
$empresa=$_SESSION['empresa'] ;
$rol_rol_id=$_SESSION['rol_rol_id'];
$rol_nombre=$_SESSION['rol_nombre'];

$can=mysqli_query($con,"SELECT * FROM empresa where emp_id='$empresa'") or die(mysqli_error($con)); 
$d=mysqli_fetch_array($can);
$negocio_neg_id=$d['negocio_neg_id'];
$emp_regimen=$d['emp_regimen'];
$emp_nombre=$d['emp_nombre'];
$emp_url=$d['emp_url'];
$emp_url_sub=$d['emp_url_sub'];
$emp_nit=$d['emp_nit'];
$emp_representante=$d['emp_representante'];
$tienda_online=$d['tienda_online'];
$fecha_licencia=$d['fecha_licencia'];
$tipo_soft=$d['tipo_soft'];

$can=mysqli_query($con,"SELECT * FROM sucursal where empresa='$empresa' and suc_id='$sucursal1'") or die(mysqli_error($con)); 
$to=mysqli_fetch_array($can);
$sucursal=$to["suc_id"];
$suc_nombre=$to["suc_nombre"]; 
$emp_direccion=$to['suc_direccion'];
$suc_direccion_envio=$to['suc_direccion_envio'];
$emp_correo=$to['suc_correo'];
$emp_telefono=$to['suc_telefono'];
$emp_cel=$to['suc_celular']; 
$facturador=$to['facturador'];

$can=mysqli_query($con,"SELECT * FROM bodegas where empresa='$empresa' and bod_id='$bod_id1'") or die(mysqli_error($con)); 
$to=mysqli_fetch_array($can);
$bod_id=$to["bod_id"];
$bod_nombre=$to["bod_nombre"];

$can=mysqli_query($con,"SELECT * FROM usuario where empresa_emp_id='$empresa' and usu_id='$usu_id1'") or die(mysqli_error($con)); 
$to=mysqli_fetch_array($can);
$usu_id=$_SESSION['usu_id'] = $to["usu_id"];
$usu_nombre=$to["usu_nombre"];
$rol_id=$to["rol_rol_id"];  

$sql=mysqli_query($con, "SELECT * from factura where empresa='$empresa'");
$row=mysqli_fetch_array($sql);
$fac_formato_factura=$row['fac_formato_factura'];
$fac_formato_orden=$row['fac_formato_orden'];
$fac_formato_cotizacion=$row['fac_formato_cotizacion'];
$fac_formato_apartado=$row['fac_formato_apartado'];
$fac_tamano=$row['fac_formato_recibos'];
$num_formato_factura=$row['num_formato_factura']; 
$num_formato_cotizacion=$row['num_formato_cotizacion']; 
$condiciones=$row['condiciones'];
$condiciones_cot=$row['condiciones_cot'];
$condiciones_servicio=$row['condiciones_servicio'];
$color=$row['color']; 
$logo=$row['logo']; 
$texto_cabeza=$row['texto_cabeza']; 
$bajo_cero=$row['bajo_cero'];
$activar_remisiones=$row['activar_remisiones']; 
$encabezado_remisiones=$row['encabezado_remisiones'];
$precio_iva=$row['precio_iva'];

$bar=mysqli_query($con,"SELECT * from codigo_barras where empresa='$empresa'");
$bar=mysqli_fetch_array($bar);
$columnas=$bar['columnas'];
$alto=$bar['alto'];
$ancho=$bar['ancho'];
$espacio=$bar['espacio'];
$referencia=$bar['referencia']; 
$nombre=$bar['nombre'];
$nombre_emp=$bar['nombre_emp'];
$precio=$bar['precio']; 
$texto_adicional=$bar['texto_adicional'];  

$confi=mysqli_query($con,"SELECT * FROM configuraciones WHERE empresa='$empresa'") ;
$confi=mysqli_fetch_array( $confi );
$conf_pagi_articulos=$confi['conf_pagi_articulos'];
$conf_pagi_cliente=$confi['conf_pagi_cliente'];
$modal_cantidad=$confi['modal_cantidad'];
$propina=$confi['propina'];
$credito_sin_limite=$confi['credito_sin_limite'];
$puntos=$confi['puntos'];
$valor_punto_dinero=$confi['valor_punto_dinero'];
$valor_punto_redimir=$confi['valor_punto_redimir'];
$restrincion_seriales=$confi['restrincion_seriales'];
$conf_color=$confi['conf_color'];
$facturacion_directa=$confi['facturacion_directa'];
$organizar_articulos=$confi['organizar_articulos'];
$limpiar_buscador=$confi['limpiar_buscador'];
$dias_credito=$confi['dias_credito'];
$buscador_pordefecto=$confi['buscador_pordefecto'];
$envio_dian=$confi['envio_dian'];

if($buscador_pordefecto=='articulos')
{
   $boton_articulos='checked'; 
   $boton_productos=''; 
   $boton_combos=''; 
   $boton_servicios=''; 
}
if($buscador_pordefecto=='productos')
{
   $boton_articulos=''; 
   $boton_productos='checked'; 
   $boton_combos=''; 
   $boton_servicios='';
}
if($buscador_pordefecto=='combos')
{
   $boton_articulos=''; 
   $boton_productos=''; 
   $boton_combos='checked'; 
   $boton_servicios='';
}
if($buscador_pordefecto=='servicios')
{
   $boton_articulos=''; 
   $boton_productos=''; 
   $boton_combos=''; 
   $boton_servicios='checked'; 
}

if($envio_dian=='si')
{
   $boton_envio_dian='checked'; 
}
else
{
   $boton_envio_dian=''; 
}

$sql=mysqli_query($con, "SELECT count(*) as aper_num, mca_id,cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and sucursal='$sucursal' and mca_estado='1'");
$row= mysqli_fetch_array($sql);
$aper_num=$row['aper_num']; 
$mca_id=$row['mca_id']; 
$apertura=$row['apertura'];
$cajas_caja_id=$row['cajas_caja_id'];

$ele=mysqli_query($con,"SELECT * FROM configuracion_electronica where empresa='$empresa'") or die(mysqli_error($con)); 
$ele=mysqli_fetch_array($ele);
$token=$ele['ele_token'];
$settestid=$ele['ele_settestid'];
$settestid_nom=$ele['ele_settestid_nomina'];
$ele_ambiente_nom=$ele['ele_ambiente_nom'];
$settestid_pos=$ele['ele_settestid_pos'];
$ele_url=$ele['ele_url'];
$fecha_certi=$ele['ele_fecha_certificado'];








$resaltador='#FF3700';
function resaltar_frase($frase, $word)
{
    $frase=preg_replace('#'. preg_quote($word) .'#i', '<strong><span style="color:#000;font-weight: bold;">\0</span></strong>', $frase);
    return $frase;
}
$vend=mysqli_query($con,"SELECT * FROM rol WHERE rol_nombre='Vendedor' and empresa='$empresa'") ;
$vende=mysqli_fetch_array( $vend );
$rol_ven=$vende['rol_id'];

?>